/**
 * SeekQuarry/Yioop --
 * Open Source Pure PHP Search Engine, Crawler, and Indexer
 *
 * Copyright (C) 2009 - 2017  Chris Pollett chris@pollett.org
 *
 * LICENSE:
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * END LICENSE
 *
 * @author Snigdha Rao Parvatneni
 * @license http://www.gnu.org/licenses/ GPL3
 * @link http://www.seekquarry.com/
 * @copyright 2009 - 2017s
 * @filesource
 */

/*
 * The alphabet for this locale
 */
var alpha =
"অআইঈউঊঋঌ" +
"এঐওঔৎককাকি" +
"কীকুকূকৃকৄকেকৈ" +
"কোকৌখখাখিখীখুখূ" +
"খৃখৄখেখৈখোখৌগ" +
"গাগিগীগুগূগৃগৄ" +
"গেগৈগোগৌঘঘাঘিঘী" +
"ঘুঘূঘৃঘৄঘেঘৈঘোঘৌ" +
"ঙঙাঙিঙীঙুঙূঙৃঙৄ" +
"ঙেঙৈঙোঙৌচচাচি" +
"চীচুচূচৃচৄচেচৈচোচৌ" +
"ছছাছিছীছুছূছৃছৄছে" +
"ছৈছোছৌজজাজিজীজু" +
"জূজৃজৄজেজৈজো" +
"জৌঝঝাঝিঝীঝু"+
"ঝূঝৃঝৄঝেঝৈঝোঝৌঞ" +
"ঞাঞিঞীঞুঞূঞৃঞৄ" +
"ঞেঞৈঞোঞৌটটাটি" +
"টীটুটূটৃটৄটেটৈটোটৌঠ" +
"ঠাঠিঠীঠুঠূঠৃঠৄঠেঠৈঠো" +
"ঠৌডডাডিডীডুডূডৃডৄ" +
"ডেডৈডোডৌঢঢাঢিঢীঢু"+
"ঢূঢৃঢৄঢেঢৈঢোঢৌণণা" +
"ণিণীণুণূণৃণৄণেণৈণোণৌততা"+
"তিতীতুতূতৃতৄতেতৈতো" +
"তৌথথাথিথীথুথূথৃথৄথে" +
"থৈথোথৌদদাদিদীদুদূদৃদৄ" +
"দেদৈদোদৌধধা" +
"ধিধীধুধূধৃধৄধেধৈ"+
"ধোধৌননানিনীনুনূনৃনৄনেনৈ" +
"নোনৌপপাপিপীপুপূপৃপৄ" +
"পেপৈপোপৌফফাফিফী" +
"ফুফূফৃফৄফেফৈফোফৌব" +
"বাবিবীবুবূবৃবৄবেবৈবো" +
"বৌভভাভিভীভুভূভৃভৄভেভৈ"+
"ভোভৌমমামিমীমুমূমৃমৄ" +
"মেমৈমোমৌযযাযিযীযু" +
"যূযৃযৄযেযৈযোযৌররা" +
"রিরীরুরূরৃরৄরেরৈরো" +
"রৌললালিলীলুলূলৃ" +
"লৄলেলৈলোলৌশশা" +
"শিশীশুশূশৃশৄশেশৈশোশৌ"+
"ষষাষিষীষুষূষৃষৄষে" +
"ষৈষোষৌসসাসিসীসুসূসৃ" +
"সৄসেসৈসোসৌহহাহিহীহু" +
"হূহৃহৄহেহৈহো" +
"হৌয়য়ায়ি" +
"য়ীয়ুয়ূয়ৃয়ৄ " +
"য়েয়ৈয়োয়ৌ" +
"ড়ড়াড়িড়ীড়ু" +
"ড়ূড়ৃড়ৄ" +
"ড়েড়ৈড়োড়ৌ" +
"ঢ়ঢ়াঢ়িঢ়ীঢ়ুঢ়ূ"+
"ঢ়ৃঢ়ৄঢ়েঢ়ৈঢ়োঢ়ৌ" +
"ক্কক্খক্গক্ঘক্ঙ" +
"ক্চক্ছক্জক্" +
"ঝক্ঞক্টক্ঠক্ড" +
"ক্ঢক্ণক্তক্থক্" +
"দক্ধক্নক্পক্ফ" +
"ক্বক্ভক্মক্যক্র" +
"ক্লক্শক্ষক্সক্হখ্" +
"কখ্খখ্গখ্ঘখ্ঙ" +
"খ্চখ্ছখ্জখ্ঝখ্ঞ"+
"খ্টখ্ঠখ্ডখ্ঢখ্ণখ্ত" +
"খ্থখ্দখ্ধখ্নখ্পখ্ফ" +
"খ্বখ্ভখ্মখ্যখ্রখ্লখ্" +
"শখ্ষখ্সখ্হগ্কগ্খগ্" +
"গগ্ঘগ্ঙগ্চগ্ছগ্জগ্" +
"ঝগ্ঞগ্টগ্ঠগ্ডগ্ঢ" +
"গ্ণগ্তগ্থগ্দগ্ধগ্নগ্প" +
"গ্ফগ্বগ্ভগ্মগ্যগ্" +
"রগ্লগ্শগ্ষগ্সগ্হ"+
"ঘ্কঘ্খঘ্গঘ্ঘঘ্ঙঘ্চ" +
"ঘ্ছঘ্জঘ্ঝঘ্ঞঘ্" +
"টঘ্ঠঘ্ডঘ্ঢঘ্ণঘ্" +
"তঘ্থঘ্দঘ্ধঘ্নঘ্প" +
"ঘ্ফঘ্বঘ্ভঘ্মঘ্যঘ্রঘ্" +
"লঘ্শঘ্ষঘ্সঘ্হঙ্ক" +
"ঙ্খঙ্গঙ্ঘঙ্ঙঙ্চঙ্ছ" +
"ঙ্জঙ্ঝঙ্ঞঙ্" +
"টঙ্ঠঙ্ডঙ্ঢঙ্ণ"+
"ঙ্তঙ্থঙ্দঙ্ধঙ্ন" +
"ঙ্পঙ্ফঙ্বঙ্ভঙ্মঙ্য" +
"ঙ্রঙ্লঙ্শঙ্ষঙ্সঙ্হচ্ক" +
"চ্খচ্গচ্ঘচ্ঙচ্চচ্ছচ্জচ্ঝ"+
"চ্ঞচ্টচ্ঠচ্ডচ্ঢচ্ণচ্ত" +
"চ্থচ্দচ্ধচ্নচ্পচ্ফচ্ব" +
"চ্ভচ্মচ্যচ্রচ্লচ্শচ্" +
"ষচ্সচ্হছ্কছ্"+
"খছ্গছ্ঘছ্ঙ"+
"ছ্চছ্ছছ্জছ্ঝছ্ঞ" +
"ছ্টছ্ঠছ্ডছ্ঢছ্ণছ্ত" +
"ছ্থছ্দছ্ধছ্নছ্পছ্ফছ্ব"+
"ছ্ভছ্মছ্যছ্রছ্লছ্শছ্"+
"ষছ্সছ্হজ্কজ্খজ্গ" +
"জ্ঘজ্ঙজ্চজ্ছজ্জ" +
"জ্ঝজ্ঞজ্টজ্ঠজ্ডজ্" +
"ঢজ্ণজ্তজ্থজ্দ" +
"জ্ধজ্নজ্পজ্ফ"+
"জ্বজ্ভজ্মজ্যজ্রজ্লজ্শ"+
"জ্ষজ্সজ্হঝ্কঝ্খঝ্গঝ্"+
"ঘঝ্ঙঝ্চঝ্ছঝ্জঝ্ঝঝ্ঞ"+
"ঝ্টঝ্ঠঝ্ডঝ্ঢঝ্ণঝ্ত"+
"ঝ্থঝ্দঝ্ধঝ্নঝ্পঝ্ফঝ্"+
"বঝ্ভঝ্মঝ্যঝ্রঝ্লঝ্"+
"শঝ্ষঝ্সঝ্হঞ্কঞ্খঞ্গঞ্ঘঞ্ঙ"+
"ঞ্চঞ্ছঞ্জঞ্ঝঞ্ঞঞ্টঞ্"+
"ঠঞ্ডঞ্ঢঞ্ণঞ্তঞ্"+
"থঞ্দঞ্ধঞ্নঞ্পঞ্"+
"ফঞ্বঞ্ভঞ্মঞ্যঞ্"+
"রঞ্লঞ্শঞ্ষঞ্সঞ্"+
"হট্কট্খট্গট্ঘট্ঙট্"+
"চট্ছট্জট্ঝট্ঞট্ট"+
"ট্ঠট্ডট্ঢট্ণট্"+
"তট্থট্দট্ধ"+
"ট্নট্পট্ফট্বট্ভট্মট্"+
"যট্রট্লট্শট্ষট্সট্"+
"হঠ্কঠ্খঠ্গঠ্ঘঠ্"+
"ঙঠ্চঠ্ছঠ্জঠ্ঝঠ্ঞ"+
"ঠ্টঠ্ঠঠ্ডঠ্ঢঠ্ণঠ্ত"+
"ঠ্থঠ্দঠ্ধঠ্নঠ্পঠ্ফ"+
"ঠ্বঠ্ভঠ্মঠ্যঠ্রঠ্ল"+
"ঠ্শঠ্ষঠ্সঠ্হড্ক"+
"ড্খড্গড্ঘড্ঙড্চ"+
"ড্ছড্জড্ঝড্ঞ"+
"ড্টড্ঠড্ডড্ঢড্ণড্ত"+
"ড্থড্দড্ধড্নড্পড্"+
"ফড্বড্ভড্মড্যড্রড্ল"+
"ড্শড্ষড্সড্হঢ্কঢ্খঢ্"+
"গঢ্ঘঢ্ঙঢ্চঢ্ছঢ্"+
"জঢ্ঝঢ্ঞঢ্টঢ্ঠ"+
"ঢ্ডঢ্ঢঢ্ণঢ্তঢ্"+
"থঢ্দঢ্ধঢ্নঢ্পঢ্ফ"+
"ঢ্বঢ্ভঢ্মঢ্য"+
"ঢ্রঢ্লঢ্শ"+
"ঢ্ষঢ্সঢ্হণ্কণ্খণ্"+
"গণ্ঘণ্ঙণ্চণ্ছণ্জণ্"+
"ঝণ্ঞণ্টণ্ঠণ্ডণ্ঢণ্ণণ্ত"+
"ণ্থণ্দণ্ধণ্নণ্পণ্ফণ্ব"+
"ণ্ভণ্মণ্যণ্রণ্লণ্শণ্"+
"ষণ্সণ্হত্কত্খত্গত্ঘ"+
"ত্ঙত্চত্ছত্জত্ঝ"+
"ত্ঞত্টত্ঠত্ডত্"+
"ঢত্ণত্তত্থত্দত্ধত্ন"+
"ত্পত্ফত্বত্ভত্মত্য"+
"ত্রত্লত্শত্ষত্সত্হ"+
"থ্কথ্খথ্গথ্ঘথ্ঙথ্চ"+
"থ্ছথ্জথ্ঝথ্ঞথ্টথ্ঠথ্"+
"ডথ্ঢথ্ণথ্তথ্থথ্"+
"দথ্ধথ্নথ্পথ্ফথ্ব"+
"থ্ভথ্মথ্যথ্রথ্"+
"লথ্শথ্ষথ্সথ্হদ্ক"+
"দ্খদ্গদ্ঘদ্ঙদ্চ"+
"দ্ছদ্জদ্ঝদ্ঞদ্"+
"টদ্ঠদ্ডদ্ঢদ্ণদ্"+
"তদ্থদ্দদ্ধদ্নদ্পদ্"+
"ফদ্বদ্ভদ্মদ্যদ্রদ্ল"+
"দ্শদ্ষদ্সদ্হধ্কধ্"+
"খধ্গধ্ঘধ্ঙধ্চধ্ছ"+
"ধ্জধ্ঝধ্ঞধ্টধ্ঠ"+
"ধ্ডধ্ঢধ্ণধ্তধ্থধ্"+
"দধ্ধধ্নধ্পধ্ফধ্ব"+
"ধ্ভধ্মধ্যধ্রধ্লধ্শ"+
"ধ্ষধ্সধ্হন্কন্খ"+
"ন্গন্ঘন্ঙন্চন্ছন্"+
"জন্ঝন্ঞন্টন্ঠন্ডন্ঢ"+
"ন্ণন্তন্থন্দন্ধন্নন্প"+
"ন্ফন্বন্ভন্মন্যন্র"+
"ন্লন্শন্ষন্সন্হপ্ক"+
"প্খপ্গপ্ঘপ্ঙপ্চপ্"+
"ছপ্জপ্ঝপ্ঞপ্টপ্"+
"ঠপ্ডপ্ঢপ্ণপ্তপ্থ"+
"প্দপ্ধপ্নপ্প"+
"প্ফপ্বপ্ভপ্মপ্যপ্"+
"রপ্লপ্শপ্ষপ্সপ্"+
"হফ্কফ্খফ্গফ্ঘফ্ঙফ্চফ্"+
"ছফ্জফ্ঝফ্ঞফ্টফ্ঠফ্ডফ্ঢ"+
"ফ্ণফ্তফ্থফ্দফ্ধফ্নফ্প"+
"ফ্ফফ্বফ্ভফ্মফ্যফ্রফ্লফ্"+
"শফ্ষফ্সফ্হব্কব্খব্গ"+
"ব্ঘব্ঙব্চব্ছব্জব্ঝব্ঞ"+
"ব্টব্ঠব্ডব্ঢব্ণব্ত"+
"ব্থব্দব্ধব্নব্প"+
"ব্ফব্বব্ভব্ম"+
"ব্যব্রব্লব্শব্ষ"+
"ব্সব্হভ্কভ্খভ্"+
"গভ্ঘভ্ঙভ্চভ্ছভ্জভ্ঝভ্ঞভ্ট"+
"ভ্ঠভ্ডভ্ঢভ্ণভ্"+
"তভ্থভ্দভ্ধভ্ন"+
"ভ্পভ্ফভ্বভ্ভভ্মভ্যভ্"+
"রভ্লভ্শভ্ষভ্সভ্হম্ক"+
"ম্খম্গম্ঘম্ঙম্চম্ছম্"+
"জম্ঝম্ঞম্টম্ঠম্ডম্ঢ" +
"ম্ণম্তম্থম্দম্ধম্ন"+
"ম্পম্ফম্বম্ভম্মম্য"+
"ম্রম্লম্শম্ষম্স"+
"ম্হয্কয্খয্"+
"গয্ঘয্ঙয্চয্ছয্জয্ঝয্ঞ"+
"য্টয্ঠয্ডয্ঢয্ণয্"+
"তয্থয্দয্ধয্নয্প"+
"য্ফয্বয্ভয্ময্যয্রয্"+
"লয্শয্ষয্সয্হর্কর্খর্"+
"গর্ঘর্ঙর্চর্ছর্জর্"+
"ঝর্ঞর্টর্ঠর্ডর্ঢর্ণ"+
"র্তর্থর্দর্ধর্নর্পর্ফ"+
"র্বর্ভর্মর্যর্রর্ল"+
"র্শর্ষর্সর্হল্কল্খল্গল্"+
"ঘল্ঙল্চল্ছল্জল্ঝল্ঞ"+
"ল্টল্ঠল্ডল্ঢল্"+
"ণল্তল্থল্দল্ধ"+
"ল্নল্পল্ফল্বল্ভ"+
"ল্মল্যল্রল্লল্শ"+
"ল্ষল্সল্হশ্কশ্খশ্গশ্ঘ"+
"শ্ঙশ্চশ্ছশ্জশ্ঝশ্ঞশ্ট"+
"শ্ঠশ্ডশ্ঢশ্ণশ্তশ্থশ্দশ্"+
"ধশ্নশ্পশ্ফশ্বশ্ভশ্মশ্যশ্"+
"রশ্লশ্শশ্ষশ্সশ্হষ্কষ্খ"+
"ষ্গষ্ঘষ্ঙষ্চষ্ছষ্জষ্ঝ" +
"ষ্ঞষ্টষ্ঠষ্ডষ্ঢষ্ণষ্তষ্"+
"থষ্দষ্ধষ্নষ্প"+
"ষ্ফষ্বষ্ভষ্মষ্য"+
"ষ্রষ্লষ্শষ্ষষ্সষ্হস্ক"+
"স্খস্গস্ঘস্ঙস্চস্ছস্জ"+
"স্ঝস্ঞস্টস্ঠস্ডস্ঢস্"+
"ণস্তস্থস্দস্ধস্ন"+
"স্পস্ফস্বস্ভ"+
"স্মস্যস্রস্লস্"+
"শস্ষস্সস্হহ্"+
"কহ্খহ্গহ্ঘহ্"+
"ঙহ্চহ্ছহ্জ"+
"হ্ঝহ্ঞহ্টহ্ঠহ্ডহ্"+
"ঢহ্ণহ্তহ্থহ্দহ্ধহ্নহ্প"+
"হ্ফহ্বহ্ভহ্মহ্যহ্রহ্লহ্" +
"শহ্ষহ্সহ্হকঁকংকঃ" +
"ক়কৄকৢকৣখঁখং" +
"খঃখ়খৄখৢখৣগঁগংগঃ"+
"গ়গৄগৢগৣঘঁঘংঘঃঘ়ঘ" +
"ৄঘৢঘৣঙঁঙংঙঃঙ়" +
"ঙৄঙৢঙৣক্ষঁক্ষংক্ষঃ"+
"ক্ষ়ক্ষৄক্ষৢক্ষৣচঁচ"+
"ংচঃচ়চৄচৢচৣছঁ"+
"ছংছঃছ়ছৄছৢছৣজ"+
"ঁজংজঃজ়জৄজৢজৣঝঁঝং"+
"ঝঃঝ়ঝৄঝৢঝৣঞ" +
"ঁঞংঞঃঞ়ঞৄঞৢঞ" +
"ৣটঁটংটঃট়টৄটৢটৣ" +
"ঠঁঠংঠঃঠ়ঠৄঠৢঠৣড" +
"ঁডংডঃড়ডৄডৢডৣঢ" +
"ঁঢংঢঃঢ়ঢৄঢৢঢৣণঁ" +
"ণংণঃণ়ণৄণৢণৣড়ঁড়" +
"ংড়ঃড়়ড়ৄড়ৢড়ৣঢ়ঁঢ়" +
"ংঢ়ঃঢ়়ঢ়ৄঢ়ৢঢ়ৣতঁত" +
"ংথঃথ়তৄতৢতৣথঁ" +
"থংথঃথ়থৄথৢথৣদ" +
"ঁদংদঃদ়দৄদৢদৣধঁ"+
"ধংধঃধ়ধৄধৢধৣনঁনং" +
"নঃন়নৄনৢনৣৎঁৎংৎঃৎ়" +
"ৎৄৎৢৎৣপঁপংপঃপ়পৄপৢ" +
"পৣফঁফংফঃফ়ফৄফৢফৣবঁ" +
"বংবঃব়বৄবৢবৣভঁভং" +
"ভঃভ়ভৄভৢভৣমঁমংমঃম়" +
"মৄমৢমৣযঁযংযঃয়যৄযৢ" +
"যৣরঁরংরঃর়রৄরৢরৣলঁ" +
"লংলঃল়লৄলৢলৣশঁশংশঃ"+
"শ়শৄশৢশৣষঁষংষঃ" +
"ষ়ষৄষৢষৣসঁসংসঃস়" +
"সৄসৢসৣহঁহংহঃহ়হৄহৢ" +
"হৣয়ঁয়ংয়ঃয়়য়ৄয়ৢয়ৣ";

/*
 * Transliteration maping for this locale
 */
var roman_array = {};

/*
 * To analyze the query and generate actual input query from the
 * transliterated query
 */
function analyzeQuery()
{
}
